package com.adventurer_engine.util.rcsjython;

import com.adventurer_engine.util.rcsjython.PythonFunction;
import com.adventurer_engine.util.rcsjython.functions.FunctionPrint;
import java.util.HashMap;

public class SimplePythonInterpreter {

   private static HashMap functions;
   private final HashMap vars = new HashMap();


   public static void main(String[] args) {
      new SimplePythonInterpreter();
      Class c = SimplePythonInterpreter.class;
   }

   public void init() {
      functions = new HashMap();
      functions.put("print", new FunctionPrint());
   }

   public void executeFunction(String funName, HashMap vars, String ret) {
      if(functions.containsKey(funName)) {
         Object fret = ((PythonFunction)functions.get(funName)).execute(vars);
         if(fret == null) {
            return;
         }

         vars.put(ret, fret);
      }

   }
}
